### Constructor

# Gtk TreeStore newv

#### Declaration [src]

    GtkTreeStore*
    gtk_tree_store_newv (
      int n_columns,
      GType* types
    )

#### Description [src]

Non vararg creation function. Used primarily by language bindings.

#### Parameters

`n_columns` | `int`
| Number of columns in the tree store.
`types` | An array of `GType`
| An array of `GType` types for the columns, from first to last.
| The length of the array is specified in the `n_columns` argument.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkTreeStore`
| A new `GtkTreeStore`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.